dir1 = "c:\\hry\\BotArena\\Decks\\experiment\\dual\\parts\\"
dir2 = "c:\\hry\\BotArena\\Decks\\experiment\\dual\\"
sets = ["UTD", "ARN", "ATQ", "REV", "LEG", "DRK", "FEM", "4TH", "PRO", "ICE", "HML", "ALL", "MRG", "VIS", "5TH", "POR", "WTH", "TMP", "STH", "P02", "EXO", "USG", "ULG", "6TH", "PTK", "UDS", "S99", "MMQ", "NMS", "PCY", "S00", "INV", "PLS", "7TH", "APC", "ODY", "TOR", "JUD", "ONS", "LGN", "SCG", "8TH", "MRD", "DST", "5DN", "CHK", "BOK", "SOK", "9TH", "RAV", "GPT", "DIS", "CSP", "TSP", "PLC", "FUT", "10TH", "LRW", "MOR", "SHM", "EVE", "ALA", "CON", "ARB", "M10", "ZEN", "WWK", "ROE", "ARC", "M11", "SOM", "MBS", "NPH", "CMD", "M12", "ISD"]
sidesets = ["JUD", "FUT"]

def line_copy(infile, outfile):
    line = infile.readline()
    while len(line) > 0 and (line == "\n" or line[0] == "/"):
        line = infile.readline()
    if len(line) > 0:
        outfile.write(line)
        return True
    else:
        return False

for i in range(0, len(sets) - 1):
    for j in range(i + 1, len(sets)):
        file1 = open(dir1 + "Half - " + sets[i] + ".txt", "r")
        file2 = open(dir1 + "Half - " + sets[j] + ".txt", "r")
        print("Processing " + sets[i] + " and " + sets[j] + "...")
        file3 = open(dir2 + "Dual - " + sets[i] + " + " + sets[j] + ".txt", "w")
        file3.write("#LIFE 40\n#NO_CARD_LIMIT\n\n")
        k = True
        while k:
            k = line_copy(file1, file3)
        file3.write("\n")
        k = True
        while k:
            k = line_copy(file2, file3)
        sideboard = False
        for si in sidesets:
            if sets[i] == si or sets[j] == si:
                if not sideboard:
                    file3.write("\n#SIDEBOARD\n\n")
                    sideboard = True
                k = True
                sidefile = open(dir1 + "Side - " + si + ".txt")
                while k:
                    k = line_copy(sidefile, file3)
                sidefile.close()
        file1.close()
        file2.close()
        file3.close()
